#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	expDialogId ;
extern int	expOkBtnId ;
extern int	expOkchk() ;
extern int	expPlayBtnId ;
extern int	expPlay() ;
extern int	expUndoBtnId ;
extern int	expUndo() ;
extern int	expInfBtnId ;
extern int	expInf() ;
extern int	expCanBtnId ;
extern int	expCanchk() ;
extern int	expMesId[23] ;
extern int	expSubDialogId ;
extern int	expMulVolumeId ;
extern int	expMulSet() ;
extern int	expMulNumId ;
extern int	expCycleNumId ;
extern int	expCrossNumId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTEXP = { "MmiInit",  34, 0 } ;

/* expDialogId */

static MMIPACKET d001 = {	&expDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  19, 144, 622, 336, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* expOkBtnId */

static MMIPACKET d002 = {	&expOkBtnId,
							&expDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  39, 305, 100, 328,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							expOkchk,
							0x0000
						} ;

/* expPlayBtnId */

static MMIPACKET d003 = {	&expPlayBtnId,
							&expDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 109, 305, 170, 328, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							expPlay,
							0x0000
						} ;

/* expUndoBtnId */

static MMIPACKET d004 = {	&expUndoBtnId,
							&expDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 179, 305, 240, 328, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							expUndo,
							0x0000
						} ;

/* expInfBtnId */

static MMIPACKET d005 = {	&expInfBtnId,
							&expDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 249, 305, 310, 328, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							expInf,
							0x0000
						} ;

/* expCanBtnId */

static MMIPACKET d006 = {	&expCanBtnId,
							&expDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 541, 305, 602, 328,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							expCanchk,
							0x0000
						} ;

/* expMesId[0] */

static MMIPACKET d007 = {	&expMesId[0],
							&expDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  49, 308,  92, 325, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[1] */

static MMIPACKET d008 = {	&expMesId[1],
							&expDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 117, 308, 163, 325, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[2] */

static MMIPACKET d009 = {	&expMesId[2],
							&expDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 185, 308, 236, 325, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[3] */

static MMIPACKET d010 = {	&expMesId[3],
							&expDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 254, 308, 305, 325, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[4] */

static MMIPACKET d011 = {	&expMesId[4],
							&expDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 549, 308, 595, 325, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[5] */

static MMIPACKET d012 = {	&expMesId[5],
							&expDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  44, 148, 149, 166, 8,15, 8,
							MS_NONEL40,
							"GLXp_",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* expSubDialogId */

static MMIPACKET d013 = {	&expSubDialogId,
							&expDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d013d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  39, 168, 602, 299, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* expMulVolumeId */

static MMIPACKET d014 = {	&expMulVolumeId,
							&expSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							  56, 234, 518, 249, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							expMulSet,
							 150,  20, 250,   1,   8,
							 265, 266
						} ;

/* expMulNumId */

static MMIPACKET d015 = {	&expMulNumId,
							&expSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d015d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 531, 230, 586, 253, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							expMulSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 150,  20, 250,   1,   2,
							 263, 264
						} ;

/* expCycleNumId */

static MMIPACKET d016 = {	&expCycleNumId,
							&expSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d016d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 170, 264, 225, 287, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  75,   1,1000,   1,   0,
							 263, 264
						} ;

/* expMesId[6] */

static MMIPACKET d017 = {	&expMesId[6],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d017d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 250, 175, 378, 192, 0,15, 8,
							MS_NONEL40,
							"Ԃ̊g嗦",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* expMesId[8] */

static MMIPACKET d018 = {	&expMesId[8],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d018d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 302, 197, 327, 211, 0,15, 8,
							MS_NONEL40,
							"1.5",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[9] */

static MMIPACKET d019 = {	&expMesId[9],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d019d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 391, 197, 418, 211, 0,15, 8,
							MS_NONEL40,
							"2.0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[10] */

static MMIPACKET d020 = {	&expMesId[10],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 132, 216, 147, 228, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[11] */

static MMIPACKET d021 = {	&expMesId[11],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 123, 197, 148, 211, 0,15, 8,
							MS_NONEL40,
							"0.5",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[12] */

static MMIPACKET d022 = {	&expMesId[12],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 222, 213, 241, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[13] */

static MMIPACKET d023 = {	&expMesId[13],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d023d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 402, 213, 421, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[14] */

static MMIPACKET d024 = {	&expMesId[14],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 212, 197, 237, 211, 0,15, 8,
							MS_NONEL40,
							"1.0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[15] */

static MMIPACKET d025 = {	&expMesId[15],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  66, 219, 278, 233, 0,15, 8,
							MS_NONEL40,
							"  |  |  |  |  |  |  |  |  |  |  |  |  | ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[16] */

static MMIPACKET d026 = {	&expMesId[16],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 276, 219, 500, 233, 0,15, 8,
							MS_NONEL40,
							"|  |  |  |  |  |  |  |  |  |  |  |  |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[17] */

static MMIPACKET d027 = {	&expMesId[17],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  56, 267, 118, 283, 0,15, 8,
							MS_NONEL40,
							"",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* expMesId[19] */

static MMIPACKET d028 = {	&expMesId[19],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 312, 215, 327, 229, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[7] */

static MMIPACKET d029 = {	&expMesId[7],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 481, 197, 508, 211, 0,15, 8,
							MS_NONEL40,
							"2.5",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[20] */

static MMIPACKET d030 = {	&expMesId[20],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d030d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 492, 215, 511, 229, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[21] */

static MMIPACKET d031 = {	&expMesId[21],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d031d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 114, 267, 170, 283, 0,15, 8,
							MS_NONEL40,
							"i msec.j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[18] */

static MMIPACKET d032 = {	&expMesId[18],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d032d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 418, 267, 463, 284, 8,15, 8,
							MS_NONEL40,
							"i  j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* expMesId[22] */

static MMIPACKET d033 = {	&expMesId[22],
							&expSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d033d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 278, 267, 418, 283, 0,15, 8,
							MS_NONEL40,
							"NXI[ö̊",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* expCrossNumId */

static MMIPACKET d034 = {	&expCrossNumId,
							&expSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d034d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 463, 264, 518, 287, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 100,   0, 100,   1,   0,
							 263, 264
						} ;

